package net.ihe.gazelle.proxy.model.message;

import java.sql.Timestamp;

import javax.persistence.Entity;

import net.ihe.gazelle.proxy.netty.ChannelType;
import net.ihe.gazelle.proxy.netty.channel.ProxySide;

import org.jboss.seam.annotations.Name;

@Entity
@Name("rawMessage")
public class RawMessage extends AbstractMessage {

	public RawMessage() {
		super();
	}

	public RawMessage(Timestamp timestamp, String fromIP, Integer localPort, Integer proxyPort, String toIP,
			Integer remotePort, ProxySide proxySide) {
		super(timestamp, fromIP, localPort, proxyPort, toIP, remotePort, proxySide);
	}

	@Override
	public ChannelType getChannelType() {
		return ChannelType.RAW;
	}

}
